# Poco::Net

# class VerificationErrorArgs

Library: NetSSL_OpenSSL
Package: SSLCore
Header: Poco/Net/VerificationErrorArgs.h

## Description

A utility class for certificate error handling.

## Member Summary

Member Functions: certificate, context, errorDepth, errorMessage, errorNumber, getIgnoreError, setIgnoreError

## Constructors

### VerificationErrorArgs

VerificationErrorArgs(
Poco::Net::Context::Ptr pContext,
const X509Certificate & cert,
int errDepth,
int errNum,
const std::string & errMsg
);

Creates the VerificationErrorArgs. _ignoreError is per default set to false.

## Destructor

### ~VerificationErrorArgs

~VerificationErrorArgs();

Destroys the VerificationErrorArgs.

## Member Functions

### certificate

const X509Certificate & certificate() const;

Returns the certificate that caused the error.

### context

Poco::Net::Context::Ptr context() const;

Returns the Context of the underlying connection causing the error.

### errorDepth

int errorDepth() const;

Returns the position of the certificate in the certificate chain.

### errorMessage

const std::string & errorMessage() const;

Returns the textual presentation of the errorNumber.

### errorNumber

int errorNumber() const;

Returns the id of the error

### getIgnoreError

bool getIgnoreError() const;

returns the value of _ignoreError

### setIgnoreError

void setIgnoreError(
bool ignoreError
);

setIgnoreError to true, if a verification error is judged non-fatal by the user.